Subject: bug#61072: How to change the length of the separation lines in eldoc, used by eglot?

From: Felician Nemeth <[email-masked]>
Date: Thu, 09 Feb 2023 18:05:02 +0100

Wei-Ting Lin <[email-masked]> writes:

> I prefer to have the information shown near the cursor, when it hovers on a
> symbol. I use eldoc-doc for this purpose, and the result is like this
> <https://i.imgur.com/8O0iEIJ.png>.
>
> As seen in the screenshot, the line is too long for the child frame and
> gets wrapped. How can I change the length of the line?

Can you show what did the LSP server send to Eglot?  The relevant
message should be near at the end of the events buffer, which you can
see by M-x eglot-events-buffer RET right after eldoc displays the
documentation.

Thanks.

> -------------------------------------------------------------------
>
> This issue was posted in
> https://github.com/joaotavora/eglot/discussions/1157 originally.